> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teleskop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Count Posts

> Returns post counts based on each channel.



## OpenAPI

````yaml POST /posts/count
openapi: 3.1.0
info:
  title: Teleskop API
  version: 1.0.0
  contact:
    name: Teleskop Support
    url: https://teleskop.app/help
    email: support@teleskop.app
servers:
  - url: https://api.teleskop.dev
    description: Production
security:
  - x-api-key: []
tags: []
paths:
  /posts/count:
    post:
      tags:
        - Posts
      summary: Count Posts
      description: Returns post counts based on each channel.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilterFeedDto'
      responses:
        '200':
          description: ''
      security:
        - x-api-key: []
components:
  schemas:
    FilterFeedDto:
      type: object
      properties:
        projects:
          default: []
          description: Arrays of project IDs
          type: array
          items:
            type: string
        start_date:
          type: string
          example: '2025-01-01 14:30:00'
          description: Start date in YYYY-MM-DD HH:mm:ss format
        end_date:
          type: string
          example: '2025-01-02 14:30:00'
          description: End date in YYYY-MM-DD HH:mm:ss format
        channels:
          default: []
          description: Arrays of channel
          type: array
          items:
            type: string
        categories:
          default: []
          description: Arrays of category
          type: array
          items:
            type: string
        search:
          type: string
        sentiments:
          default: []
          type: array
          items:
            type: string
        labels:
          default: []
          type: array
          items:
            type: string
        excludes:
          default: []
          type: array
          items:
            type: string
        favorites:
          default: []
          type: array
          items:
            type: string
        min_score:
          type: number
        max_score:
          type: number
        min_followers:
          type: number
        max_followers:
          type: number
        next_cursor:
          type: string
        prev_cursor:
          type: string
        limit:
          type: number
      required:
        - projects
        - start_date
        - end_date
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````